[tool.poetry]
name = "itk-demo-template.api"
version = "0.0.0"
description = "DeMi Template Microservice"
authors = ["Gerhard Brandt", "Jonas Schmeing", "Marvin Geyik"]
packages = [{ include = "itk_demo_template/api" }]

[tool.poetry.scripts]
itk-demo-template = "itk_demo_template.api.__main__:main"

[tool.poetry.dependencies]
python = "^3.9.6"
flower = "^2.0.0"
logging-tree = "^1.9"
redis = "^4.3.5"
uuid = "^1.30"
rich = "^13.3.4"
rcf-response = {git = "https://gitlab.cern.ch/atlas-itk-pixel-systemtest/itk-demo-sw/pypi-packages/rcf-response.git"}
service-registry = {git = "https://gitlab.cern.ch/atlas-itk-pixel-systemtest/itk-demo-sw/pypi-packages/service-registry.git"}
config-checker = {git = "https://gitlab.cern.ch/atlas-itk-pixel-systemtest/itk-demo-sw/pypi-packages/config-checker.git"}
itk-demo-template-celery = {path = "../celery"}
uvicorn = "^0.24.0.post1"
connexion = {extras = ["flask", "swagger-ui"], version = "^3.0.3"}

[tool.poetry.group.dev.dependencies]
ruff = "^0.1.6"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"

# [[tool.poetry.source]]
# name = "itk-demo-sw"
# url = "https://gitlab.cern.ch/api/v4/projects/123904/packages/pypi/simple/"
# secondary = true
